Subject: [homenet] Homenet elevator pitch

From: Rich Brown <[email-masked]>
Date: Tue, 9 Aug 2016 07:39:24 -0400

Folks,

As promised, here is my first cut at a Homenet "elevator pitch" - the description you give to non-specialists when you're in an elevator, and only have thirty seconds to tell about your project. 

I envision putting a final version of this text on the Homenet wiki Main Page: http://homewrt.org

I make no claim to accuracy - in fact, in several places, I'm "makin' stuff up." I welcome your suggestions, comments, improvements. Thanks.

Rich

=================

Homenet routers configure themselves largely without human intervention. You can take several Homenet routers out of the box, connect them together, and everything will "just work." Homenet routers will also detect non-Homenet routers, and configure themselves to work properly.

Homenet routers implement a distributed networking manager that simplifies home network configuration. Routers exchange addressing, routing, and naming information to provide these services:

- Automatic assignment of IPv4 and IPv6 prefixes
- Babel mesh or hncp-routing between all interfaces
- Centralized DHCP service, with DHCP options propagation
- DNS name-based service discovery, using mDNS/DNS-SD hybrid proxy

Homenet is based on ongoing work in IETF's Homenet Working Group, with many of its RFCs on a track to become Internet Standards.

In mid-2016, there are two major Homenet implementations - hnet-full for OpenWrt/LEDE and shncpd for Linux. These are stable and interoperate well. They need more real-world testing.

For more information about Homenet, see http://www.homewrt.org/doku.php?id=overview
=================